# Generated by Django 2.1.3 on 2018-11-22 19:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0006_request_status'),
    ]

    operations = [
        migrations.CreateModel(
            name='Orderer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.RemoveField(
            model_name='invoice',
            name='internal_recipient',
        ),
        migrations.AlterField(
            model_name='request',
            name='status',
            field=models.IntegerField(choices=[(1, 'DONE'), (2, 'TODO'), (3, 'IN PROGRESS')]),
        ),
        migrations.AddField(
            model_name='invoice',
            name='orderer',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, to='core.Orderer'),
            preserve_default=False,
        ),
    ]
